Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.persistence.criteria
Interface PluralJoin<Z,C,E>

Type Parameters:
  `Z` - the source type
  `C` - the collection type
  `E` - the element type of the collection

All Superinterfaces:
  Expression<E>, FetchParent<Z,E>, From<Z,E>, Join<Z,E>, Path<E>, Selection<E>, TupleElement<E>

All Known Subinterfaces:
  CollectionJoin<Z,E>, ListJoin<Z,E>, MapJoin<Z,K,V>, SetJoin<Z,E>

    public interface PluralJoin<Z,C,E>

extends Join<Z,E>

The `PluralJoin` interface defines functionality that is common to joins to all collection types. It is not intended to be used directly in query construction.

Since:
  Java Persistence 2.0

Method Summary
`PluralAttribute<? super Z,C,E>` | `getModel()` Return the metamodel representation for the collection-valued attribute corresponding to the join.

Methods inherited from interface javax.persistence.criteria.Join
`getAttribute, getJoinType, getParent`

Methods inherited from interface javax.persistence.criteria.From
`getCorrelationParent, getJoins, isCorrelated, join, join, join, join, join, join, join, join, join, join, join, join, joinCollection, joinCollection, joinList, joinList, joinMap, joinMap, joinSet, joinSet`

Methods inherited from interface javax.persistence.criteria.Path
`get, get, get, get, getParentPath, type`

Methods inherited from interface javax.persistence.criteria.Expression
`as, in, in, in, in, isNotNull, isNull`

Methods inherited from interface javax.persistence.criteria.Selection
`alias, getCompoundSelectionItems, isCompoundSelection`

Methods inherited from interface javax.persistence.TupleElement
`getAlias, getJavaType`

Methods inherited from interface javax.persistence.criteria.FetchParent
`fetch, fetch, fetch, fetch, fetch, fetch, getFetches`

Method Detail

### getModel

    PluralAttribute<? super Z,C,E> getModel()

  Return the metamodel representation for the collection-valued attribute corresponding to the join.

  Specified by:
    `getModel` in interface `Path<E>`
  Returns:
    metamodel collection-valued attribute corresponding to the target of the join

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD